package controller

import (
	"github.com/rs/zerolog"
	"netidhub-saas-be/app/module/article_approvals/service"
)

type Controller struct {
	ArticleApprovals ArticleApprovalsController
}

func NewController(ArticleApprovalsService service.ArticleApprovalsService, log zerolog.Logger) *Controller {
	return &Controller{
		ArticleApprovals: NewArticleApprovalsController(ArticleApprovalsService, log),
	}
}
